<meta http-equiv="X-UA-Compatible" charset="UTF-8">
<!doctype html>
<html>
  <!-- Copyright (C) 2022, 2023, 2024 Rob Wieringa <rma.wieringa@gmail.com>

  This file is part of Depyct.
  Depyct offers Dezyne web views based on Scalable Vector Graphics (SVG)

  Depyct is free software, it is distributed under the terms of
  the GNU General Public Licence version 3 or later.
  See <http://www.gnu.org/licenses/>. -->
  <head>
    <title>Sequence Diagram Help</title>
    <style>
      * { font-family: arial }
      h3 { font-size: 1.1rem }
      table { border-collapse: collapse; width: 100%; font-size: 1rem }
      tr { border-bottom: 1px solid #CCCCCC; }
      tr:hover {background-color: #DDEEFF;}
      td { padding: 4px; }
      td:first-child { width: 30%; }
      td.ind { text-indent: 20px; }
    </style>
  </head>
  <body>
    <h3>help</h3>
    <table>
      <tr><td>F1 or ?</td><td>open this help page</td></tr>
    </table>
    <h3>zooming and scrolling</h3>
    <table>
      <tr><td>ctrl mouse scroll</td><td>zoom in or out around the mouse pointer location</td></tr>
      <tr><td>ctrl +</td><td>zoom in around the mouse pointer location</td></tr>
      <tr><td>ctrl -</td><td>zoom out around the mouse pointer location</td></tr>
      <tr><td>ctrl 1</td><td>reset the zoom factor to 1</td></tr>
      <tr><td>ctrl 0</td><td>zoom such that the whole diagram width fits on the canvas</td></tr>
      <tr><td>mouse scroll</td><td>scroll the diagram up or down</td></tr>
      <tr><td>shift mouse scroll</td><td>scroll the diagram left or right</td></tr>
      <tr><td>shift down arrow</td><td>scroll the diagram down</td></tr>
      <tr><td>shift up arrow</td><td>scroll the diagram up</td></tr>
      <tr><td>shift right arrow</td><td>scroll the diagram right</td></tr>
      <tr><td>shift left arrow</td><td>scroll the diagram left</td></tr>
    </table>
    <h3>dragging</h3>
    <table>
      <tr><td>ctrl mouse drag</td><td>drag the canvas</td></tr>
      <tr><td>mouse drag on header</td><td>reposition the header element</td></tr>
    </table>
    <h3>selecting</h3>
    <table>
      <tr><td>mouse click element</td><td>select the element</td></tr>
      <tr><td class="ind">event</td><td>select the event and send its file location to the IDE</td></tr>
      <tr><td class="ind">header</td><td>(de)select the corresponding lifeline</td></tr>
      <tr><td class="ind">lifeline</td><td>(de)select the lifeline</td></tr>
      <tr><td class="ind">eligible button</td><td>send the eligible event to the IDE</td></tr>
      <tr><td>mouse click canvas</td><td>deselect any element</td></tr>
      <tr><td>up arrow</td><td>select the previous event</td></tr>
      <tr><td>down arrow</td><td>select the next event</td></tr>
      <tr><td>left arrow</td><td>shift the focus on the selected event to the left</td></tr>
      <tr><td>right arrow</td><td>shift the focus on the selected event to the right</td></tr>
    </table>
    <h3>system opening and closing</h3>
    <table>
      <tr><td>mouse click on system [-] or [+] button</td><td>close or open the system</td></tr>
      <tr><td>ctrl mouse click on system [-] or [+] button</td><td>close or open the system and all its sub systems</td></tr>
    </table>
    <h3>save</h3>
    <table>
      <tr><td>ctrl s</td><td>save the diagram as an svg file</td></tr>
    </table>
  </body>
</html>
